Bug 1279435 - undefined method `block_storage_disk_usage' for nil:NilClass [ems_cluster/show]
undefined method `block_storage_disk_usage' for nil:NilClass [ems_cluster/show]
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Richard Su
Marius Cornea
Depends On:
  Show dependency treegraph
Reported: 2015-11-09 08:04 EST by Marius Cornea
Modified: 2015-12-08 08:45 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-08 08:45:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-09 08:04:19 EST
Description of problem:
When going to the BlockStorage deployment role the following error shows up:
undefined method `block_storage_disk_usage' for nil:NilClass [ems_cluster/show]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add Openstack Plaftorm Director provider with at least 1 block storage node
2. Go to Infrastructure - Deployment Roles
3. Click on the large icons listing
4. Click on the Block storage role (e.g. overcloud-BlockStorage-vosex3dykmos)

Actual results:
undefined method `block_storage_disk_usage' for nil:NilClass [ems_cluster/show]

Expected results:
The Block storage deployment role details show up.
Comment 2 Richard Su 2015-11-16 10:41:39 EST
Merged, https://github.com/ManageIQ/manageiq/pull/5394
Comment 5 errata-xmlrpc 2015-12-08 08:45:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.